Skip to main content
`Ctrl`+`K`

# SVDSetSignature

Set the signature matrix defining a hyperbolic singular value problem.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetSignature(SVD svd,Vec omega)

Collective

## Input Parameters

- svd - the singular value solver context

- omega - a vector containing the diagonal elements of the signature matrix (or `NULL`)

## Notes

The signature matrix is relevant only for hyperbolic problems (HSVD). Use `NULL` to reset a previously set signature.

## See Also

SVD: Singular Value Decomposition, `SVDSetProblemType()`, `SVDSetOperators()`, `SVDGetSignature()`, `SVD_HYPERBOLIC`

## Level

intermediate

## Location

src/svd/interface/svdsetup.c

## Examples

src/svd/tutorials/ex53.c
src/svd/tutorials/ex52.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages